c_csc2s(3NCARG)

NAME
c_csc2s - convert from Cartesian coordinates to lat/lon coordinates.

FUNCTION PROTOTYPE
    void   c_csc2s(int, float *, float *, float *, float *, float *);

SYNOPSIS
    c_csc2s(n, x, y, z, rlat, rlon);

DESCRIPTION

n   The number of input Cartesian coordinates.

x   An array containing the X component of the Cartesian coordinates of the input data. (rlat[i],rlon[i]) is the lat/lon coordinate corresponding to the Cartesian coordinate (x[i],y[i],z[i]) for i=0 to n-1.

y   An array containing the Y component of the Cartesian coordinates of the input data. (rlat[i],rlon[i]) is the lat/lon coordinate corresponding to the Cartesian coordinate (x[i],y[i],z[i]) for i=0 to n-1.

z   An array containing the Z component of the Cartesian coordinates of the input data. (rlat[i],rlon[i]) is the lat/lon coordinate corresponding to the Cartesian coordinate (x[i],y[i],z[i]) for i=0 to n-1.

rlat
    An array containing the latitudes of the output coordinates, in degrees.

rlon
    An array containing the longitudes of the output coordinates, in degrees.

USAGE
c_csc2s is called to find the equivalent lat/lon coordinates to specified Cartesian coordinates on a unit sphere. The Cartesian coordinate (1.,0.,0.) is converted to lat/lon coordinate (0.,0.). Latitudes and longitudes are assumed to be in degrees.

RETURN VALUE
c_csc2s does not return a value.

ACCESS
To use c_csc2s, load the NCAR Graphics library ngmath.

SEE ALSO
css_overview, c_cssgrid, c_css2c.

Complete documentation for Cssgrid is available at URL
http://ngwww.ucar.edu/ngdoc/ng/ngmath/cssgrid/csshome.html

COPYRIGHT
Copyright (C) 2000
University Corporation for Atmospheric Research
The use of this Software is governed by a License Agreement.